> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caspen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a practitioner



## OpenAPI

````yaml GET /practitioners/{practitioner}
openapi: 3.1.0
info:
  title: Caspen
  version: 0.0.1
servers:
  - url: https://api.caspen.com/v1
    description: Production
security: []
paths:
  /practitioners/{practitioner}:
    get:
      tags:
        - Practitioner
      operationId: practitioner.show
      parameters:
        - name: practitioner
          in: path
          required: true
          description: The practitioner ID
          schema:
            type: string
      responses:
        '200':
          description: '`PractitionerResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PractitionerResource'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    PractitionerResource:
      type: object
      properties:
        id:
          type: string
          description: The practitioner's unique identifier.
          examples:
            - pra_01HQFQ9QWTNNPY58FZ8CB3FWWK
        online_appointment_booking:
          type:
            - boolean
            - 'null'
          description: Whether online appointment booking is enabled for this practitioner.
          examples:
            - true
        service_ids:
          type: array
          description: The IDs of services provided by this practitioner.
          examples:
            - - ser_01HYHYQHA682J0K1RW7B2HVA9F
              - ser_01HYHYW37MTYJPMT5JV4RN99GK
          items:
            type: string
        location_ids:
          type: array
          description: The IDs of locations where this practitioner works.
          examples:
            - - loc_01HYHYQHA682J0K1RW7B2HVA9F
              - loc_01HYHYW37MTYJPMT5JV4RN99GK
          items:
            type: string
        provider_numbers:
          type: array
          description: The practitioner's provider numbers for different locations.
          examples:
            - - id: prn_01HQR12PABCD1234EFGH56789
                location_id: loc_01HQFQ9QWTNNPY58FZ8CB3FWWK
                type: medicare
                number: 123456A
          items:
            type: object
            properties:
              id:
                type: string
              location_id:
                type: string
              type:
                type: string
              number:
                type: string
        created_at:
          type: string
          description: The timestamp when the practitioner was created (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
      title: PractitionerResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````